be.fgov.ehealth.hubservices.core.v2

## Class GetTherapeuticExclusionRequest

- java.lang.Object
- - be.fgov.ehealth.hubservices.core.v2.GetTherapeuticExclusionRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:03:09+01:00",
                 comments="JAXB RI v2.2.11")
      public class GetTherapeuticExclusionRequest
      extends Object
      implements Serializable

  Java class for GetTherapeuticExclusionRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="GetTherapeuticExclusionRequestType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="request" type="{http://www.ehealth.fgov.be/hubservices/core/v2}RequestType"/>
               <element name="select" type="{http://www.ehealth.fgov.be/hubservices/core/v2}TherapeuticExclusionSelectType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetTherapeuticExclusionRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RequestType` | `getRequest()` Gets the value of the request property.
    `TherapeuticExclusionSelectType` | `getSelect()` Gets the value of the select property.
    `void` | `setRequest(RequestType value)` Sets the value of the request property.
    `void` | `setSelect(TherapeuticExclusionSelectType value)` Sets the value of the select property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetTherapeuticExclusionRequest

          public GetTherapeuticExclusionRequest()

  - ### Method Detail

    - #### getRequest

          public RequestType getRequest()

      Gets the value of the request property.
      Returns:
        possible object is `RequestType`

    - #### setRequest

          public void setRequest(RequestType value)

      Sets the value of the request property.
      Parameters:
        `value` - allowed object is `RequestType`

    - #### getSelect

          public TherapeuticExclusionSelectType getSelect()

      Gets the value of the select property.
      Returns:
        possible object is `TherapeuticExclusionSelectType`

    - #### setSelect

          public void setSelect(TherapeuticExclusionSelectType value)

      Sets the value of the select property.
      Parameters:
        `value` - allowed object is `TherapeuticExclusionSelectType`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.